使用ubuntu14.04编译Android5.1系统源码时报Fatal error: invalid -march= option: `armv5te'-问答-阿里云开发者社区-阿里云

开发者社区> 其~> 正文

使用ubuntu14.04编译Android5.1系统源码时报Fatal error: invalid -march= option: `armv5te'

2018-11-15 12:22:27 1653 1

host StaticLib: libfdlibm (out/host/linux-x86/obj/STATIC_LIBRARIES/libfdlibm_intermediates/libfdlibm.a)
Export includes file: libcore/Android.mk -- out/host/linux-x86/obj/SHARED_LIBRARIES/libjavacore_intermediates/export_includes
host SharedLib: libjavacore (out/host/linux-x86/obj/lib/libjavacore.so)
Notice file: libcore/NOTICE -- out/host/linux-x86/obj/NOTICE_FILES/src//lib64/libjavacore.so.txt
Notice file: external/zlib/NOTICE -- out/host/linux-x86/obj/NOTICE_FILES/src//lib64/libz-host.so.txt
Install: out/host/linux-x86/lib64/libz-host.so
Install: out/host/linux-x86/lib64/libjavacore.so
Assembler messages:
Fatal error: invalid -march= option: `armv5te'
make: * [out/target/product/H2a/obj/lib/crtbegin_dynamic1.o] Error 1

取消 提交回答
全部回答(1)
  • 1920770745059951
    2019-07-17 23:14:25

    检查下使用的工具链的版本, 看起来是工具链不支持armv5te

    0 0
+关注
0
文章
1
问答
推荐问答
相关电子书
更多
文娱运维技术
立即下载
《SaaS模式云原生数据仓库应用场景实践》
立即下载
《看见新力量:二》电子书
立即下载